> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unleashx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Campaign Details

> Retrieve full details of a specific campaign including knowledge base items.

Use this endpoint to **retrieve full details of a specific campaign**, including its knowledge base items.

## Endpoint

**GET** `/campaign-details/:campaign_id`

**Authentication:** Required (workspace auth)

## Path Parameters

| Parameter     | Type   | Required | Description        |
| ------------- | ------ | -------- | ------------------ |
| `campaign_id` | number | Yes      | ID of the campaign |

## Response

```json theme={null}
{
  "ID": 42,
  "AGENT_ID": 123,
  "CAMPAIGN_NAME": "Winter Sale Campaign",
  "START_DATE": "1 Dec, 2025",
  "END_DATE": "31 Dec, 2025",
  "CAMPAIGN_STATUS": 1,
  "CAMPAIGN_STATUS_NAME": "Inprogress",
  "MAX_RETRY": 3,
  "MAX_DELAY": {
    "min": 5,
    "max": 30,
    "unit": "minutes"
  },
  "CONDITIONS": {
    "max_daily_calls": 500,
    "time_window": {
      "start": "09:00",
      "end": "18:00",
      "timezone": "America/New_York"
    }
  },
  "AGENT_NAME": "Sales Agent",
  "UPDATED_DATE": "2 days ago",
  "campaign_knowledge_base": [
    {
      "ID": 1,
      "KNOWLEDGEBASE_NAME": "faq.pdf",
      "KNOWLEDGEBASE_TYPE": 1,
      "KNOWLEDGEBASE_LOCATION": "https://your-bucket.s3.amazonaws.com/faq.pdf"
    }
  ],
  "link_knowledge_base": [
    {
      "ID": 2,
      "KNOWLEDGEBASE_NAME": "Support Articles",
      "KNOWLEDGEBASE_TYPE": 2,
      "KNOWLEDGEBASE_LOCATION": "https://docs.yourdomain.com/support"
    }
  ]
}
```

### Knowledge Base Types

| Type | Description                                  |
| ---- | -------------------------------------------- |
| `1`  | File (PDF, document) — URL is an AWS S3 link |
| `2`  | Link (web URL)                               |

## Example cURL

```bash theme={null}
curl -X GET "https://www.tryunleashx.com/api/v1/global/campaign-details/42" \
  -H "Authorization: <api_key>"
```


## OpenAPI

````yaml api-reference/openapi.json GET /campaign-details/{campaign_id}
openapi: 3.1.0
info:
  title: >-
    UnleashX - Build human like conversations | Voice Agents | Automations | AI
    Workforce
  version: 1.0.0
  description: UnleashX - Your home for human like conversations
servers:
  - url: https://www.tryunleashx.com/api/v1/global/
security:
  - bearerAuth: []
paths:
  /campaign-details/{campaign_id}:
    get:
      tags:
        - Campaigns
      summary: Campaign details
      description: >-
        Retrieve full details of a specific campaign including knowledge base
        items.
      parameters:
        - name: token
          in: header
          required: true
          description: API token for authentication
          schema:
            type: string
        - name: campaign_id
          in: path
          required: true
          schema:
            type: integer
          description: ID of the campaign
      responses:
        '200':
          description: Campaign details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  ID:
                    type: integer
                  AGENT_ID:
                    type: integer
                  CAMPAIGN_NAME:
                    type: string
                  START_DATE:
                    type: string
                  END_DATE:
                    type: string
                  CAMPAIGN_STATUS:
                    type: integer
                  CAMPAIGN_STATUS_NAME:
                    type: string
                  MAX_RETRY:
                    type: integer
                  MAX_DELAY:
                    type: object
                  CONDITIONS:
                    type: object
                  AGENT_NAME:
                    type: string
                  UPDATED_DATE:
                    type: string
                  campaign_knowledge_base:
                    type: array
                    items:
                      type: object
                  link_knowledge_base:
                    type: array
                    items:
                      type: object
        '400':
          description: Bad Request
        '404':
          description: Campaign not found
      security: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````